Fillet & Chamfer preview in AutoCAD 2012

Here’s another cool feature in AutoCAD 2012. Both the FILLET & CHAMFER command show a preview of how the fillet or chamfer will look before you pick the second object and finish the command. This allows you to preview and make any changes prior to ending the command.

(picture below: Chamfer)

 

 

 

 

 

 

 

 

 

(picture below: Fillet)

About these ads

About AutoCAD Tips

I work for a large engineering firm and perform various CAD Administration duties and. I enjoy teaching/tutoring people in AutoCAD and seeing them enjoy using the program as much as I do. I hope that you find this blog a useful tool.
This entry was posted in BASICS, Modifying, New in 2012, TIPS. Bookmark the permalink.

13 Responses to Fillet & Chamfer preview in AutoCAD 2012

  1. Really helped me study for my AutoCAD midterms thanks :)

  2. Ice says:

    Very useful~Thanks a lot.

  3. Pingback: AutoCAD 2013: Offset Preview | AutoCAD Tips

  4. nadeem says:

    can you give some notes on chamfer

  5. Pingback: Intro to Chamfer | AutoCAD Tips

  6. Scott says:

    I recently installed AutoCAD LT 2012…………..I often use the fillet command to join to lines, and with my old version of AutoCAD, if one was a polyline, the line that I am joining it to automatically took on the polylines thickness. With LT 2012, the ines will connect, but they will maintain their individual thickness. When I select the new line, the whole thing highlights, which tells me that it is now a connected polyline, but I have to set the width again, so that it has a continuous thickness. I would guess it is a setting, but………….can you help?

    • AutoCAD Tips says:

      This is a very annoying issue that I wish that they would address as well.
      If the lines are already touch the polyline at their end points instead of using FILLET, use the JOIN command.

      But if the lines do not touch the end points of the polylines, use this LISP routine:

      ;;; MY-FILLET.LSP Fillet PolyLines
      ;;; Fillets Any Type of Line (Line, PolyLine, LWPolyLine or Spline)
      ;;; by Ibro Vehabovic, March 1999.
      ;;; http://forums.autodesk.com/t5/Visual-LISP-AutoLISP-and-General/Join-then-fillet-polylines/td-p/.UNyL7-SLlyI

      (defun c:my-fillet (/ getval spl2pl e1 e2 p2 l e ss)

      ;;; GETVAL - returns the group value of an entity.
      ;;; like the wellknown (dxf) function but accepts all kinds of
      ;;; entity representations (ename, entget list, entsel list)
      (defun GETVAL (grp ele) ;"dxf value" of any ent...
      (cond ((= (type ele) 'ENAME) ;ENAME
      (cdr (assoc grp (entget ele)))
      )
      ((not ele) nil) ;empty value
      ((not (listp ele)) nil) ;invalid ele
      ((= (type (car ele)) 'ENAME) ;entsel-list
      (cdr (assoc grp (entget (car ele))))
      )
      (T (cdr (assoc grp ele)))
      )
      ) ;entget-list

      ;;; "converts" SPLINE to PLINE
      (defun spl2pl (ent / osm pdm deltaL pn pts e)
      (setq osm (getvar "OSMODE"))
      (setq pdm (getvar "PDMODE"))
      (setvar "OSMODE" 0)
      (setvar "PDMODE" 0)
      (setq
      deltaL (* (/ (GETVAR "viewsize") (CADR (GETVAR "screensize")))
      (getvar "pickbox")
      2.0
      )
      ) ; max segment=2 * size of
      pickbox
      (if (= (getval 0 ent) "POLYLINE") ; heavy pline
      (progn
      (setq e ent)
      (while (= (getval 0 (setq e (entnext e))) "VERTEX")
      (setq pts (cons (getval 10 e) pts))
      )
      (setq pn (car pts)
      pts (list (last pts))
      )
      )
      (setq pts (list (getval 10 ent)) ; start pt
      pn (getval 10 (reverse (entget ent)))
      )
      ) ; end pt
      (command ".POINT" pn)
      (setq e (entlast))
      (entdel e)
      (command ".AREA" "_O" ent)
      (command ".DIVIDE"
      ent
      (fix (/ (getvar "perimeter") deltaL))
      )
      (while (setq e (entnext e))
      (setq pts (cons (getval 10 e) pts))
      (entdel e)
      )
      (setq pts (reverse (cons pn pts)))
      (apply 'command (append '(".PLINE") pts '("")))
      (command ".CHANGE"
      (entlast)
      ""
      "_P"
      "_LA"
      (getval 8 ent)
      ""
      )
      (if (getval 62 ent)
      (command ".CHANGE"
      (entlast)
      ""
      "_P"
      "_C"
      (getval 62 ent)
      ""
      )
      )
      (entdel ent)
      (setvar "PDMODE" pdm)
      (setvar "OSMODE" osm)
      (entlast)

  7. Sridhar Nadiger says:

    thank you admn….

  8. Jason says:

    When I pick the first object and hover the cursor onto the second object, FILLET will not give the preview of the current setting. Please help.

    • AutoCAD Tips says:

      The system variable “SELECTIONPREVIEW” might help.
      Set the system variable to 3 and it should turn ON the preview of the selection.
      Also check to see if there is a radius defined in the FILLET command. If it is set to zero, the preview will simply be a marker at the intersection and no arc or fillet to display.

      SELECTIONPREVIEW definition
      The above picture shows the definition and notice that it shows the default value of 3. This will turn on the selection preview.

      SELECTIONPREVIEW from the OPTIONS dialog

  9. Jason says:

    Absolutely spot on. Thank you so much for the suggestion. Work like a charm.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s